## org.apache.cassandra.service
Class DatacenterWriteResponseHandler

    java.lang.Object
      org.apache.cassandra.service.WriteResponseHandler
          org.apache.cassandra.service.DatacenterWriteResponseHandler

All Implemented Interfaces:
  IAsyncCallback

    public class DatacenterWriteResponseHandler

extends WriteResponseHandler

This class will basically will block for the replication factor which is provided in the input map. it will block till we recive response from (DC, n) nodes.

Field Summary

Fields inherited from class org.apache.cassandra.service.WriteResponseHandler
`condition, localResponses, logger, responses`

Constructor Summary
`DatacenterWriteResponseHandler(int blockFor, java.lang.String table)`

Method Summary
`void` `response(Message message)`

Methods inherited from class org.apache.cassandra.service.WriteResponseHandler
`get, localResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatacenterWriteResponseHandler

    public DatacenterWriteResponseHandler(int blockFor,
                                          java.lang.String table)

Method Detail

### response

    public void response(Message message)

  Specified by:
    `response` in interface `IAsyncCallback`
  Overrides:
    `response` in class `WriteResponseHandler`
  Parameters:
    `message` - response received.

Copyright © 2010 The Apache Software Foundation